---
title: packages
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&amp;logoColor=white)](https://gitea.rknet.org/ansible/xoxys.packages)
[![Build Status](https://img.shields.io/drone/build/ansible/xoxys.packages?logo=drone&amp;server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.packages)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.packages/src/branch/main/LICENSE)

Setup package repositories.

<!--more-->

- [Default Variables](#default-variables)
  - [packages_enablerepo](#packages_enablerepo)
  - [packages_install](#packages_install)
  - [packages_install_extra](#packages_install_extra)
  - [packages_repofiles_remove](#packages_repofiles_remove)
  - [packages_uninstall](#packages_uninstall)
  - [packages_uninstall_extra](#packages_uninstall_extra)
  - [packages_upgrade_enabled](#packages_upgrade_enabled)
  - [packages_yum_repositories](#packages_yum_repositories)
  - [packages_yum_repositories_extra](#packages_yum_repositories_extra)
- [Dependencies](#dependencies)

---

## Default Variables

### packages_enablerepo

#### Default value

```YAML
packages_enablerepo: []
```

### packages_install

#### Default value

```YAML
packages_install: []
```

### packages_install_extra

#### Default value

```YAML
packages_install_extra: []
```

### packages_repofiles_remove

#### Default value

```YAML
packages_repofiles_remove: []
```

### packages_uninstall

#### Default value

```YAML
packages_uninstall:
  - setroubleshoot
  - mcstransd
  - xinetd
  - ypbind
  - telnet
```

### packages_uninstall_extra

#### Default value

```YAML
packages_uninstall_extra: []
```

### packages_upgrade_enabled

#### Default value

```YAML
packages_upgrade_enabled: false
```

### packages_yum_repositories

#### Default value

```YAML
packages_yum_repositories: []
```

#### Example usage

```YAML
packages_yum_repositories:
  - name: epel
    filename: Extra-EPEL
    desc: Extra Packages for Enterprise Linux (EPEL)
    baseurl: "http://download.fedoraproject.org/pub/epel/$releasever/$basearch/"
    gpgkey: "http://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-$releasever/"
    enabled: True
```

### packages_yum_repositories_extra

#### Default value

```YAML
packages_yum_repositories_extra: []
```



## Dependencies

None.
